# API reference

- [collection.create](https://developers.flipsnack.com/api-reference/api-method-collection.create.md): Uploads a single PDF document and creates a flipbook with a single item (flipbook).
- [collection.getCollection](https://developers.flipsnack.com/api-reference/api-method-collection.getcollection.md): Returns information about a flipbook. The information contains configuration parameters for the player and the list of flipbook items.
- [collection.update](https://developers.flipsnack.com/api-reference/api-method-collection.update.md): Updates the settings of an existing flipbook.
- [collection.deleteCollection](https://developers.flipsnack.com/api-reference/api-method-collection.deletecollection.md): Deletes the specified flipbook. Please note that you only have access to your own flipbooks.
- [collection.getEmbed](https://developers.flipsnack.com/api-reference/api-method-collection.getembed.md): Returns the embed code for a specified flipbook based on a set of embed parameters.
- [collection.getStats](https://developers.flipsnack.com/api-reference/api-method-collection.getstats.md): Returns the statistics for the specified flipbook.
- [collection.getList](https://developers.flipsnack.com/api-reference/api-method-collection.getlist.md): Returns a list of flipbooks belonging to your user.
- [collection.downloadHTML](https://developers.flipsnack.com/api-reference/api-method-collection.downloadhtml.md): Starts generating the download package and returns the progress status. When the status is complete it also returns the resource url.
- [user.getStats](https://developers.flipsnack.com/api-reference/api-method-user.getstats.md): Returns global statistics for your user.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.flipsnack.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
